Last Comment Bug 1159699 - Calendar tab toolbar buttons are missing tooltips
: Calendar tab toolbar buttons are missing tooltips
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: 4.3
Assigned To: Stefan Sitter
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-29 05:45 PDT by aleth [:aleth]
Modified: 2015-05-31 06:46 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
add tooltips to Calendar tab and Task tab toolbar buttons (10.01 KB, patch)
2015-05-07 12:13 PDT, Stefan Sitter
matthew.mecca: review+
Details | Diff | Splinter Review
add tooltips to Calendar tab and Task tab toolbar buttons, v2 (10.00 KB, patch)
2015-05-29 11:44 PDT, Stefan Sitter
matthew.mecca: review+
Details | Diff | Splinter Review

Description User image aleth [:aleth] 2015-04-29 05:45:07 PDT
For a new user, it would be helpful if the calendar tab buttons (Synchronize, Event, Task,...) had explanatory tooltips which explain what the buttons are for (e.g. synchronize with what? does it open an Event view or add a new event or...?)
Comment 1 User image Stefan Sitter 2015-05-07 11:09:09 PDT
This is pretty easy, taking :)
Comment 2 User image Stefan Sitter 2015-05-07 12:13:13 PDT
Created attachment 8602914 [details] [diff] [review]
add tooltips to Calendar tab and Task tab toolbar buttons
Comment 3 User image Matthew Mecca [:mmecca] 2015-05-07 19:25:32 PDT
Comment on attachment 8602914 [details] [diff] [review]
add tooltips to Calendar tab and Task tab toolbar buttons

Review of attachment 8602914 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, r=mmecca

::: calendar/locales/en-US/chrome/lightning/lightning-toolbar.dtd
@@ +7,5 @@
>  <!ENTITY lightning.toolbar.task.name "Task Toolbar">
>  <!ENTITY lightning.toolbar.task.name.accesskey "T">
>  
>  <!ENTITY lightning.toolbar.sync.label "Synchronize">
> +<!ENTITY lightning.toolbar.sync.tooltip "Reload calendar and synchronize changes">

We should probably use the plural form "calendars" here since all calendars are refreshed.

@@ +12,2 @@
>  <!ENTITY lightning.toolbar.delete.label "Delete">
> +<!ENTITY lightning.toolbar.delete.tooltip "Delete selected event or task">

Here also, since there could be multiple events or tasks deleted.

@@ +18,2 @@
>  <!ENTITY lightning.toolbar.print.label "Print">
> +<!ENTITY lightning.toolbar.print.tooltip "Print selected event or task">

Should this be more generic, since the print dialog isn't limited to the current selection? Maybe just "Print events and tasks"
Comment 4 User image Stefan Sitter 2015-05-10 04:08:10 PDT
(In reply to Matthew Mecca [:mmecca] from comment #3)
> We should probably use the plural form "calendars" here since all calendars
> are refreshed.
> ...
> Here also, since there could be multiple events or tasks deleted.

I tried to align with tooltips used in Thunderbird and they use singular although the command applies to one or more elements (e.g. Delete selected message or folder)

> Should this be more generic, since the print dialog isn't limited to the
> current selection? Maybe just "Print events and tasks"

Sure, I can update the patch.
Comment 5 User image Stefan Sitter 2015-05-29 11:44:29 PDT
Created attachment 8613023 [details] [diff] [review]
add tooltips to Calendar tab and Task tab toolbar buttons, v2
Comment 6 User image Matthew Mecca [:mmecca] 2015-05-29 14:59:57 PDT
Comment on attachment 8613023 [details] [diff] [review]
add tooltips to Calendar tab and Task tab toolbar buttons, v2

r=mmecca
Comment 7 User image Stefan Sitter 2015-05-31 06:46:23 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/331e683af864

Note You need to log in before you can comment on or make changes to this bug.